﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Chart_GettingStarted
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class Sample : ContentPage
	{
		public Sample ()
		{
			InitializeComponent ();
        }
        
        private void ColumnSeries_DataMarkerLabelCreated(object sender, ChartDataMarkerLabelCreatedEventArgs e)
        {
            if (double.TryParse(e.DataMarkerLabel.Label, out double res))
            {
                if (res >= 50)
                {
                    e.DataMarkerLabel.MarkerColor = Color.Blue;
                }
                else
                {
                    e.DataMarkerLabel.MarkerColor = Color.Red;
                }
            }
        }
    }
    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        public Random random = new Random();
        
        public ViewModel()
        {
            Data = new ObservableCollection<Model>();

            for (int i = 0; i < 20; i++)
            {
                Data.Add(new Model() { XValue = i, Value = random.Next(10, 100) });
            }
        }
    }
    public class Model
    {
        public double XValue { get; set; }
        public double Value { get; set; }
    }
}